#ifndef GROUP_H
#define GROUP_H

#include <QWidget>

namespace Ui {
class Group;
}

class Group : public QWidget
{
    Q_OBJECT

public:
    explicit Group(int Id, const QString& imagePath1, const QString& imagePath2, const QStringList& textList, QWidget* parent);
    ~Group();

    void initForm();
    bool eventFilter(QObject *obj, QEvent *event);
    void saveGroupSettings(int Id, const QString& imagePath1, const QString& imagePath2, const QStringList& textList);

private:
    Ui::Group *ui;
};

#endif // GROUP_H
